Log in

13net

It's easy to think we can just use up all the internet we want, but if we don't treat it with the respect that it deserves, it could one day be gone forever.

Stats

  • Category: Uncategorized
  • License: GNU General Public License (GPL) version 2
  • Updated: 2012-5-30
  • Downloads: 4251
  • Recommendations: 14

Other Projects

View 13net's plugins

phloorFramework for 1.8 for Elgg 1.8

The phloor environment for your Elgg site.

Last updated 770 days ago

The phloorFramework is abandoned. Please look for a replacement!

 

The phloorFramework is abandoned. Please look for a replacement!

 

The phloorFramework is abandoned. Please look for a replacement!

Enables the core phloor environment. It provides basic functionalities, classes and views for all current and future phloor plugins. The plugin itself does nothing - at least no visible changes.

Installation steps:

  1. DEACTIVATE ANY PREVIOUS RELEASE OF THIS PLUGIN.
  2. Download the latest release.
  3. Extract the archive file into the plugin directory of your Elgg installation.
  4. Enable the plugin from the admin view.

This plugin has to be above all other phloor plugins. phloor plugins that use such functionality will declare this plugin as requirement.

!! NOTICE !! Furthermore please consider that this plugin never left the BETA status. Moreover this means that every phloor plugin using this plugin is also beta.

 

The phloorFramework is abandoned. Please look for a replacement!

 

The phloorFramework is abandoned. Please look for a replacement!

 

The phloorFramework is abandoned. Please look for a replacement!

Release Notes:

/** * @version 1.8.3-12.03.12b (rc4) */

  • ready to work with 'glee'- form
  • item output compatible with bootstrap
  • removed settings

Comments

  • Marcos 706 days ago

    Olá 13net! ESTOU recebendo como seguintes mensagens: 

     

    0 (guid: 189) nao PoDE Ser Iniciado. Razão: Nao FOI Possível Incluir start.php n o plugin de phloor (guid: 189) em / home/azure395/public_html/mod/phloor. Verifique permissões!

     

    e


    phloor: admin_notice: min_required_php_version

     

    Como eu POSSO resolver ISSO?

    Obrigado, parabéns e Espero tambem logotipo Poder contribuir Bastante.

  • DhrupDeScoop 706 days ago

    deber mas astuto ;-oO senor 13net no comprende espanol, pero aleman y ingles solo ;-)

  • Marcos 705 days ago

    Sr. DhrupDeScoop, a pergunta não foi feita para você.

    Meu idioma é o português, e não o espanhol como sua astúcia presume.

    Utilizo tradutores para entender outras línguas, assim como outras pessoas também.

    Creio que a função desta comunidade seja nos ajudarmos ;)

    Grato.

  • iionly 705 days ago

    @Marcos: so you are asking for help but it's too much effort for you to translate your question - or simply post at least the error message in the default language? But you expect people who might be able to help you to translate your question first to find out if they are even able to do so in the first place? The main site language is English and it's just the minimum level of politeness the respect that. If you want to ask question in your native language, there are language-specific groups for this purpose.

    As to your problem: phloor: admin_notice: min_required_php_version

    might indicate that the version of php installed on your server doesn't meet the requirements of this plugin. As far as I know all phloor plugins need php 5.3 at minimum.

  • DhrupDeScoop 705 days ago

    Marcos:

    You can still use Google translate to post your queries here. And hopefully others -who know only Englissh but not Purtuguese - will be able to pick up and help.. If you post only in Purtuguese (if your English level is perhaps insufficeint to describe proiblems situations) -- That makes it harder for others to help you ;-) Isn't that what you want ? SO - make it easier to others to help you and.. the community gains as a whole ;-P

     

  • Marcos 705 days ago

    Sr. iionly, muito obrigado pela resposta...porém precisava entender "como" resolver estes dois problemas, pois na página está escrito: "ThephloorFramework is undergoing heavy development at the moment"., pois minhas configurações atendem 100% aos requisitos, e não consigo achar o erro, nem mesmo nas páginas "do meu idioma". A dúvida era se este plugin estava apresentando estes erros mesmo, e como resolvê-los. Mas eu pedirei ajuda em outro lugar, não se preocupe.

    Bem...assim como eu estou disposto a traduzir e entender outros idiomas, achei que outros estivessem dispostos a isso também. Tenho respeito e educação suficientes para tentar entender qualquer outro idioma, e não exigir minha língua como absoluta.

    Se alguém estivesse disposto a me ajudar, também estaria disposto a traduzir meu texto.

    Creio que se houvesse alguma dúvida ou dificuldade em relação ao meu idioma, bastaria alguém pedir gentilmente que eu me esforçaria para traduzir da forma mais compreensível possível...assim como eu também gentilmente perguntei, e me esforço para entender "o seu idioma".

    Também não vi qualquer restrição a perguntas, em relação a idiomas aqui.

    E Sr. DhrupDeScoop:

    A minha intenção, era que alguém que fale o meu idioma respondesse, ou que alguém de outro idioma dissesse: "olá, eu posso ajudá-lo, mas pode repetir sua pergunta em inglês, por favor?". Se alguém não está disposto a me ajudar, então também não acho correto me atacar. Meu nível de inglês é suficiente para perceber alguma hostilidade.

    Mas obrigado da mesma forma. Seguirei os seus conselhos...e assim como os sr. traduziram o meu texto desta vez, poderão fazer isso mais vezes, isso faz bem e aprendem mais, assim terão contato com pessoas tão inteligentes quanto vocês. Aprenderam um pouco de Português (Brasil), parabéns :) Realmente todo mundo ganhou e aprendeu.

    Tenham um excelente dia, e bom trabalho! :)

  • DhrupDeScoop 705 days ago

    not attacking ;-) but english will get more people reading quickly to see of they can help you out. just - portuguese means - fewer people can understand quickly enough..

     

  • DhrupDeScoop 705 days ago

    .. (guid: 189) nao PoDE Ser Iniciado. Razão: Nao FOI Possível Incluir start.php n o plugin de phloor (guid: 189) em / home/azure395/public_html/mod/phloor. Verifique permissões

    Check Owner and check Permissions for html/mod

    Verifique Proprietário e verifique permissões para home/azure395/public_html/mod



  • Marcos 705 days ago

    O tradutor muitas vezes não traduz 100% correto, e pode dar outro sentido ao texto. Por isso prefiro deixar o texto original aqui, para não ter enganos ;) Uma palavra errada/mal traduzida pode causar problemas ;)

  • Marcos 705 days ago

    The translator often does not translate 100% correct, and can give new meaning to the text. So I prefer to leave the original text here, to not have mistakes;) One wrong word / mistranslated can cause problems;)

  • Marcos 705 days ago

    E muito obrigado pela ajuda, ganhou um amigo e meu respeito/admiração. Farei a verificação novamente, mas mesmo com a permissão correta está dando este erro.

  • Marcos 705 days ago

    And thank you for help, a friend and gained my respect / admiration. I will check again, but even with the correct permission is giving this error.

  • DhrupDeScoop 705 days ago

    example (centos/linux)
    needs both to work correctly..
    "apache" is the linux user that runs the web server
                     owner  : group
    drwxr-xr-x 7 apache apache  147 Jan 12 07:36 blog
    drwxr-xr-x 8 apache apache  120 Jan 12 07:36 bookmarks
    drwxr-xr-x 5 apache apache  138 Jan 12 07:36 categories
    ...
    drwxr-xr-x => 0755

  • DhrupDeScoop 705 days ago

    btw - u r right abt google trans ;-) - it does sometimes make big mistakes !!;-oO

  • Marcos 705 days ago

    Well, Apache is ok. I have no idea what is happening.

  • Marcos 705 days ago

    I would tell you the same thing lol. I'll leave my text translated in English, if you do not understand anything, let me know lol.

  • DhrupDeScoop 705 days ago

    Nao FOI Possível Incluir start.php n o plugin de phloor (guid: 189) em / home/azure395/public_html/mod/phloor

    • web server runs as user 'apache' (usually in centos)
    • user 'apache' needs access to home/azure395/public_html/mod/phloor
    • and also needs 0755 or 0644 or similar for chmod on mod/phloor

    -- this problem is why you're getting the "  Verifique permissões! " error

    one of the 2 issues has a problem
    -- if not --> may be selinux issue -
    but only your tech support can verify this.


  • Marcos 705 days ago

    I can not figure out if this error is another plugin installed, or server. Should I delete many plugins to find out. Thank you so much for your attention, and notice the error if you think, ok?

  • Marcos 705 days ago

    Exactly! I installed a theme for testing only after deleted then presented a problem in the entire site (error in chmod). Actually I need technical support, is very difficult;)

  • DhrupDeScoop 705 days ago

    do you have command line access to your site ?

  • Marcos 705 days ago

    Well, thank you again. If you ever come to Brazil, we will receive you very well, and will be very welcome.

  • Marcos 705 days ago

    Yes, but I must ask this to another person, who understands more than I do Linux.

  • Marcos 705 days ago

    Thank you!

  • DhrupDeScoop 705 days ago

    [ Assume you are running in CentOS
      The commands you'll need..
      'apache' is the correct user ID for CentOS.
      Other Linux'es will probably have a slightly different user ID
      e.g. Ubuntu may use 'www-data'.. or something like that..
    ]

    SSH   COMMANDS::

    Ownership:

    [root@u12345678 mod]# chown -R apache:apache /home/azure395/public_html/
    [root@u12345678 mod]#

    Permissions: 

    [root@u12345678 mod]#
    [root@u12345678 mod]# chmod 0755 /home/azure395/public_html/

    (or maybe just 0644 will do..)

    Let us know when something moves forward and works better..;-)

     

  • rsrmedia 701 days ago

    Got all these errors when I tried to activate this plugin. SITE/ADMIN INACCESSIBLE BECAUSE OF THEM. HELP PLEASE!!!!!

    Warning: Unexpected character in input: '\' (ASCII=92) state=1 in /home/username/public_html/elgg_site/mod/phloor/lib/phloor.lib.php on line 116

    Warning: Unexpected character in input: '\' (ASCII=92) state=1 in /home/username/public_html/elgg_site/mod/phloor/lib/phloor.lib.php on line 116

    Parse error: syntax error, unexpected T_STRING in /home/username/public_html/elgg_site/mod/phloor/lib/phloor.lib.php on line 116